import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {ConnectAdminLoginGuard} from '../../connect/communityGuard/connectAdminLoginGuard.guard';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {AlertModalModule} from '../../utils/modal/alertModal.module';
import {PagesComponent} from './pages.component';
import {MatAutocompleteModule, MatChipsModule, MatFormFieldModule, MatSlideToggleModule} from '@angular/material';
import {IsCommunityOrAdmin} from '../../connect/communityGuard/isCommunityOrAdmin';
import {AdminToolServiceModule} from "../../services/adminToolService.module";
import {InputModule} from "../sharedComponents/input/input.module";

@NgModule({
  imports: [
    CommonModule, RouterModule, FormsModule, AlertModalModule, ReactiveFormsModule, MatSlideToggleModule, AdminToolServiceModule, InputModule,
    MatAutocompleteModule, MatFormFieldModule, MatChipsModule
  ],
    declarations: [PagesComponent],
    providers: [IsCommunityOrAdmin, ConnectAdminLoginGuard],
    exports: [PagesComponent]
})
export class PagesModule { }
