import {Component, Input} from "@angular/core";

@Component({
  selector: 'loading',
  template: `
    <div class="uk-flex uk-flex-center uk-margin-small-top">
      <div class="md-preloader" [ngClass]="(color)?('md-preloader-' + color):''">
        <svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="48" width="48" viewBox="0 0 75 75">
          <circle cx="37.5" cy="37.5" r="33.5" stroke-width="4"></circle>
        </svg>
      </div>
    </div>`
})
export class LoadingComponent {
  /**
   * Possible values '': blue, 'success': green, 'warning': orange and 'danger': red
   */
  @Input() color: 'success' | 'warning' | 'danger' = null;

  constructor() {
  }
}
