import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';
import { RouterModule } from '@angular/router';


import {SearchResultsModule } from '../searchUtils/searchResults.module';

import {DataProvidersServiceModule} from '../../services/dataProvidersService.module';
import {ProjectsServiceModule} from '../../services/projectsService.module';
import {SearchResearchResultsServiceModule} from '../../services/searchResearchResultsService.module';
import {OrganizationsServiceModule} from '../../services/organizationsService.module';
import {BrowseEntitiesModule} from '../searchUtils/browseEntities.module';
import {Schema2jsonldModule} from '../../sharedComponents/schema2jsonld/schema2jsonld.module';

import {PiwikServiceModule} from '../../utils/piwik/piwikService.module';
import { SEOServiceModule } from '../../sharedComponents/SEO/SEOService.module';
import {SearchAllComponent} from "./searchAll.component";
import {AdvancedSearchFormModule} from "../searchUtils/advancedSearchForm.module";
import {SearchResearchResultsModule} from "../searchResearchResults.module";
import {QuickSelectionsModule} from "../searchUtils/quick-selections.module";
import {SearchProjectsModule} from "../searchProjects.module";
import {SearchOrganizationsModule} from "../searchOrganizations.module";
import {SearchDataProvidersModule} from "../searchDataProviders.module";

@NgModule({
  imports: [
    CommonModule, FormsModule, RouterModule,
    DataProvidersServiceModule, ProjectsServiceModule,
    SearchResearchResultsServiceModule, OrganizationsServiceModule,
    BrowseEntitiesModule, SearchResultsModule, PiwikServiceModule, Schema2jsonldModule, SEOServiceModule, AdvancedSearchFormModule, SearchResearchResultsModule, QuickSelectionsModule, SearchProjectsModule, SearchOrganizationsModule, SearchDataProvidersModule
  ],
  declarations: [
    SearchAllComponent
   ],
  providers:[
    //FreeGuard, PreviousRouteRecorder
    ],
  exports: [
    SearchAllComponent
     ]
})
export class SearchAllModule { }
