import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';

import {SearchResearchResultsServiceModule} from '../services/searchResearchResultsService.module';
import {FreeGuard} from '../login/freeGuard.guard';
import {IsRouteEnabled} from '../error/isRouteEnabled.guard';
import {SearchResearchResultsComponent} from "./searchResearchResults.component";
import {NewSearchPageModule} from "./searchUtils/newSearchPage.module";

@NgModule({
  imports: [
    CommonModule, FormsModule,
    SearchResearchResultsServiceModule,
    NewSearchPageModule

  ],
  declarations: [
    SearchResearchResultsComponent
  ],
  providers:[FreeGuard, IsRouteEnabled],
  exports: [
    SearchResearchResultsComponent
  ]
})
export class SearchResearchResultsModule { }
